Debian Bug report logs - #490893
Debian unstable: umountroot does not unmount root

version graph

Package: portmap; Maintainer for portmap is Anibal Monsalve Salazar <anibal@debian.org>;

Reported by: subhuman <discipline@gmx.net>

Date: Tue, 15 Jul 2008 03:39:01 UTC

Severity: important

Fixed in version portmap/6.0-9

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to subhuman <discipline@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: subhuman <discipline@gmx.net>
To: submit@bugs.debian.org
Subject: Debian unstable: umountroot does not unmount root
Date: Tue, 15 Jul 2008 05:36:49 +0200
Package: initscripts
Version: 2.86.ds1-59
Linux: Linux version 2.6.22-1-686 (Debian 2.6.22-3) (waldi@debian.org) (gcc version 4.1.3 20070718 (prerelease) (Debian 4.1.2-14)) #1 SMP Sun Jul 29 14:37:42 UTC 2007

The script /etc/init.d/umountroot fails to unmount the root directory
and remount it in read-only mode. The message that hushes by when the
system is being shut down is: device busy. Unfortunately this later
effects the boot process, because fsck gets called to repair the
uncleanly shutdown. See below what is mounted where, the partition in
question is /dev/hdc6.

me@legoland:~$ cat /proc/mounts 
rootfs / rootfs rw 0 0
none /sys sysfs rw,nosuid,nodev,noexec 0 0
none /proc proc rw,nosuid,nodev,noexec 0 0
udev /dev tmpfs rw 0 0
/dev/hdc6 / reiserfs rw 0 0
/dev/hdc6 /dev/.static/dev reiserfs rw 0 0
tmpfs /lib/init/rw tmpfs rw,nosuid 0 0
usbfs /proc/bus/usb usbfs rw,nosuid,nodev,noexec 0 0
tmpfs /dev/shm tmpfs rw,nosuid,nodev 0 0
devpts /dev/pts devpts rw,nosuid,noexec 0 0
fusectl /sys/fs/fuse/connections fusectl rw 0 0
/dev/hdc1 /boot ext3 rw,data=ordered 0 0
/dev/hdd1 /vol/local/hdd1 reiserfs rw 0 0
/dev/hdd2 /vol/local/hdd2 reiserfs rw 0 0
binfmt_misc /proc/sys/fs/binfmt_misc binfmt_misc rw,nosuid,nodev,noexec 0 0




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Luigi Toscano <luigi.toscano@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 490893@bugs.debian.org (full text, mbox):

From: Luigi Toscano <luigi.toscano@tiscali.it>
To: 490893@bugs.debian.org
Subject: umountroot does not unmount root, same issue
Date: Wed, 3 Sep 2008 14:58:27 +0200
Hi,
I experience the same issue on my laptop. I also use reiserfs for my root 
partition, but other computers seem unaffected. 

$ cat /proc/mounts
rootfs / rootfs rw 0 0
none /sys sysfs rw,nosuid,nodev,noexec 0 0
none /proc proc rw,nosuid,nodev,noexec 0 0
udev /dev tmpfs rw,size=10240k,mode=755 0 0
/dev/sda6 / reiserfs rw,notail,acl,attrs 0 0
tmpfs /lib/init/rw tmpfs rw,nosuid,mode=755 0 0
usbfs /proc/bus/usb usbfs rw,nosuid,nodev,noexec 0 0
tmpfs /dev/shm tmpfs rw,nosuid,nodev 0 0
devpts /dev/pts devpts rw,nosuid,noexec,gid=5,mode=620 0 0
fusectl /sys/fs/fuse/connections fusectl rw 0 0
/dev/sda8 /mnt/data reiserfs rw,notail,acl,attrs 0 0
/dev/sda9 /mnt/video xfs rw,nosuid,nodev,noquota 0 0
none /proc/sys/fs/binfmt_misc binfmt_misc rw 0 0

-- 
Luigi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Subhashis Roy <subhashis3@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 490893@bugs.debian.org (full text, mbox):

From: Subhashis Roy <subhashis3@fastmail.fm>
To: Debian Bug Tracking System <490893@bugs.debian.org>
Subject: initscripts: reboot fails to unmount '/'
Date: Mon, 15 Sep 2008 15:12:43 +0530
[Message part 1 (text/plain, inline)]
Package: initscripts
Version: 2.86.ds1-61
Followup-For: Bug #490893

Hi,

I find that also for me, 'umount' complains at the end of reboot '/ busy' 
and for each reboot, journal recovery for '/' is needed (ext3
filesystem).

Following one of the suggestions in one bug report, I added 
'fuser -vm / >> /root/umount.root.err; sync' and found that
'portmap' is still running causing the message that root partition is
busy.
I checked that '/etc/init.d/portmap stop' does stop portmap (in
'/etc/rc6.d/', portmap is linked as 'S32portmap'). Also doing
"telinit 1" and then "mount -v -o remount,ro /"
does work fine.

Therefore, I believe the 'reboot' script is not being able to work
properly and I am filling a bug report.
I also believe if a process is still running near the end of 'reboot' it
should get killed by 'force (e.g., killall5)' (unmounting filesystems to
prevent data loss is more important than keeping a process running).

Since this bug could cause data loss, I am putting its severity as
Grave.

Note that I am noticing this only after an upgrade from Etch.
The desktop machine I am using is an HP dc7800 minitower with E8400
intel cpu core 2 duo. (It has 2 500 GB hard disks, from which
'/dev/sdb1' is used as Root partition and '/dev/sda1...' are used for
Home and Data). 
I have attached the message 'fuser -vm /' creates at the time 'umount' fails
to unmount '/'. I have also attached the content of '/proc/mounts'.

Subhashis


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (101, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages initscripts depends on:
ii  debianutils                  2.30        Miscellaneous utilities specific t
ii  e2fsprogs                    1.41.0-3    ext2/ext3/ext4 file system utiliti
ii  libc6                        2.7-13      GNU C Library: Shared libraries
ii  lsb-base                     3.2-20      Linux Standard Base 3.2 init scrip
ii  mount                        2.13.1.1-1  Tools for mounting and manipulatin
ii  sysvinit-utils               2.86.ds1-61 System-V-like utilities

Versions of packages initscripts recommends:
ii  psmisc                        22.6-1     Utilities that use the proc filesy

initscripts suggests no packages.

-- no debconf information


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (101, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages initscripts depends on:
ii  debianutils                  2.30        Miscellaneous utilities specific t
ii  e2fsprogs                    1.41.0-3    ext2/ext3/ext4 file system utiliti
ii  libc6                        2.7-13      GNU C Library: Shared libraries
ii  lsb-base                     3.2-20      Linux Standard Base 3.2 init scrip
ii  mount                        2.13.1.1-1  Tools for mounting and manipulatin
ii  sysvinit-utils               2.86.ds1-61 System-V-like utilities

Versions of packages initscripts recommends:
ii  psmisc                        22.6-1     Utilities that use the proc filesy

initscripts suggests no packages.

-- no debconf information
[umount.root.err (text/plain, attachment)]
[mount (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 490893@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Subhashis Roy <subhashis3@fastmail.fm>, 490893@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#490893: initscripts: reboot fails to unmount '/'
Date: Mon, 15 Sep 2008 13:37:25 +0200
[Subhashis Roy]
> Following one of the suggestions in one bug report, I added 'fuser
> -vm / >> /root/umount.root.err; sync' and found that 'portmap' is
> still running causing the message that root partition is busy.

This lead to the next question, which is why is portmap still running?
I know portmap make sure it isn't killed by sendsigs, and thus take
over the responsibility of existing before reboot.  Why does thie
stopping of portmap fail during reboot?  Is the portmap stop script
not executed as it should?

Please provide the output from 'ls /etc/rc[06].d'.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Subhashis Roy <subhashis3@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 490893@bugs.debian.org (full text, mbox):

From: Subhashis Roy <subhashis3@fastmail.fm>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 490893@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#490893: initscripts: reboot fails to unmount '/'
Date: Mon, 15 Sep 2008 21:44:26 +0530 (IST)
[Message part 1 (text/plain, inline)]
Hi Peter,

Thanks for your prompt reply.

I find that '/etc/init.d/portmap' has permission to execute.
However, I checked by writing a small line within '/etc/init.d/portmap' 
Stop that it is not getting called.

Attached is the output of 'ls /etc/rc[06].d'.

Also, 'ls -ltr /etc/rc[06].d/*port*' shows:
lrwxrwxrwx 1 root root 17 Sep 10 11:24 /etc/rc6.d/S32portmap -> ../init.d/portmap*
lrwxrwxrwx 1 root root 17 Sep 10 11:24 /etc/rc0.d/S32portmap -> ../init.d/portmap*

I am also attaching the '/etc/init.d/portmap' (before my change) file as 
in my machine, in case you want to examine it (I can easily circumvent 
this problem by killing 'portmap' separately during 'reboot' in a script, 
but is not a good choice in general).

Subhashis

On Mon, 15 Sep 2008, Petter Reinholdtsen wrote:

> [Subhashis Roy]
>> Following one of the suggestions in one bug report, I added 'fuser
>> -vm / >> /root/umount.root.err; sync' and found that 'portmap' is
>> still running causing the message that root partition is busy.
>
> This lead to the next question, which is why is portmap still running?
> I know portmap make sure it isn't killed by sendsigs, and thus take
> over the responsibility of existing before reboot.  Why does thie
> stopping of portmap fail during reboot?  Is the portmap stop script
> not executed as it should?
>
> Please provide the output from 'ls /etc/rc[06].d'.
>
> Happy hacking,
> -- 
> Petter Reinholdtsen
>
[ls.rc0.6.d (text/x-dsrc, ATTACHMENT)]
/etc/rc0.d:
K00bootsplash
K01xdm
K11cron
K15fetchmail
K15mpd
K16avahi-daemon
K16hal
K19aumix
K19gnustep_sndd
K19setserial
K20acct
K20and
K20autofs
K20autolog
K20bittorrent
K20cfsd
K20console-log
K20cpudyn
K20cpufreqd
K20cpufrequtils
K20darkstat
K20dbus-1
K20ddclient
K20diald
K20exim4
K20ez-ipupdate
K20fancontrol
K20gdomap
K20gpm
K20hddtemp
K20inetd
K20ipmievd
K20irda-utils
K20laptop-mode
K20lpd
K20lprng
K20masqmail
K20mplayer
K20netdiag
K20nfs-common
K20no-ip
K20nvidia-kernel
K20openbsd-inetd
K20powernowd
K20powertweakd
K20pppstatus
K20privoxy
K20psad
K20qmail
K20rsync
K20saned
K20saslauthd
K20scandetd
K20scanlogd
K20sec
K20sensord
K20setkey
K20setmixer
K20shaper
K20sleepd
K20smartmontools
K20sslwrap
K20stunnel4
K20sysfsutils
K20tor
K20udftools
K20uml-utilities
K20umsdos
K20vboxdrv
K20vboxnet
K20vsftpd
K20vtun
K20waproamd
K20winbind
K20xinetd
K20xprint
K21fam
K23ntp-server
K25hwclock.sh
K30ddns3-client
K30etc-setserial
K40alsa
K40arpwatch
K41fuse
K50alsa-utils
K50pcscd
K55usbmgr
K63mountoverflowtmp
K75hdparm
K80nfs-kernel-server
K80openvpn
K81tpconfig
K83chrony
K88acpid
K88fiaif
K89atd
K89bastille-firewall
K89klogd
K89resolvconf
K90sysklogd
K90syslog-ng
README
S20sendsigs
S30urandom
S31umountnfs.sh
S32portmap
S35networking
S36ifupdown
S36laptop-netconf
S40umountfs
S48cryptdisks
S59cryptdisks-early
S60umountroot
S90halt

/etc/rc6.d:
K00bootsplash
K01xdm
K11cron
K15fetchmail
K15mpd
K16avahi-daemon
K16hal
K19aumix
K19gnustep_sndd
K19setserial
K20acct
K20and
K20autofs
K20autolog
K20bittorrent
K20cfsd
K20console-log
K20cpudyn
K20cpufreqd
K20cpufrequtils
K20darkstat
K20dbus-1
K20ddclient
K20diald
K20exim4
K20ez-ipupdate
K20fancontrol
K20gdomap
K20gpm
K20hddtemp
K20inetd
K20ipmievd
K20irda-utils
K20laptop-mode
K20lpd
K20lprng
K20masqmail
K20mplayer
K20netdiag
K20nfs-common
K20no-ip
K20nvidia-kernel
K20openbsd-inetd
K20powernowd
K20powertweakd
K20pppstatus
K20privoxy
K20psad
K20qmail
K20rsync
K20saned
K20saslauthd
K20scandetd
K20scanlogd
K20sec
K20sensord
K20setkey
K20setmixer
K20shaper
K20sleepd
K20smartmontools
K20sslwrap
K20stunnel4
K20sysfsutils
K20tor
K20udftools
K20uml-utilities
K20umsdos
K20vboxdrv
K20vboxnet
K20vsftpd
K20vtun
K20waproamd
K20winbind
K20xinetd
K20xprint
K21fam
K23ntp-server
K25hwclock.sh
K30ddns3-client
K30etc-setserial
K40alsa
K40arpwatch
K41fuse
K50alsa-utils
K50pcscd
K55usbmgr
K63mountoverflowtmp
K75hdparm
K80nfs-kernel-server
K80openvpn
K81tpconfig
K83chrony
K88acpid
K88fiaif
K89atd
K89bastille-firewall
K89klogd
K89resolvconf
K90sysklogd
K90syslog-ng
README
S20sendsigs
S30urandom
S31umountnfs.sh
S32portmap
S35networking
S36ifupdown
S36laptop-netconf
S40umountfs
S48cryptdisks
S59cryptdisks-early
S60umountroot
S90reboot
[portmap (text/plain, ATTACHMENT)]
#!/bin/sh
#
# start/stop portmap daemon.

### BEGIN INIT INFO
# Provides:          portmap
# Required-Start:    $network
# Required-Stop:     $network
# Default-Start:     S 2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: The RPC portmapper
# Description:       Portmap is a server that converts RPC (Remote
#                    Procedure Call) program numbers into DARPA
#                    protocol port numbers. It must be running in
#                    order to make RPC calls. Services that use
#                    RPC include NFS and NIS.
### END INIT INFO

test -f /sbin/portmap || exit 0

. /lib/lsb/init-functions

OPTIONS=""
if [ -f /etc/default/portmap ]; then
  . /etc/default/portmap
elif [ -f /etc/portmap.conf ]; then
  . /etc/portmap.conf
fi

case "$1" in
    start)
	log_begin_msg "Starting portmap daemon..."
	pid=`pidof portmap`
	if [ -n "$pid" ] ; then
	      log_begin_msg "Already running."
	      log_end_msg 0
	      exit 0
	fi
	start-stop-daemon --start --quiet --oknodo --exec /sbin/portmap -- $OPTIONS
	log_end_msg $?

	if [ -f /var/run/portmap.upgrade-state ]; then
	  log_begin_msg "Restoring old RPC service information..."
	  sleep 1 # needs a short pause or pmap_set won't work. :(
	  pmap_set </var/run/portmap.upgrade-state
	  log_end_msg $?
	  rm -f /var/run/portmap.upgrade-state
	else
	  if [ -f /var/run/portmap.state ]; then
	    sleep 1 # needs a short pause or pmap_set won't work. :(
	    pmap_set </var/run/portmap.state
	    rm -f /var/run/portmap.state
	  fi
	fi

	mkdir -p /lib/init/rw/sendsigs.omit.d
	rm -f /lib/init/rw/sendsigs.omit.d/portmap
	ln -s /var/run/portmap.pid /lib/init/rw/sendsigs.omit.d/portmap

	;;
    stop)
	log_begin_msg "Stopping portmap daemon..."
	pmap_dump >/var/run/portmap.state
	start-stop-daemon --stop --quiet --oknodo --exec /sbin/portmap
	log_end_msg $?
	;;
    force-reload)
	$0 restart
	;;
    restart)
	$0 stop
	$0 start
	;;
    *)
	log_success_msg "Usage: /etc/init.d/portmap {start|stop|force-reload|restart}"
	exit 1
	;;
esac

exit 0


Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 490893@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 490893@bugs.debian.org, Subhashis Roy <subhashis3@fastmail.fm>
Subject: Re: Bug#490893: initscripts: reboot fails to unmount '/'
Date: Mon, 15 Sep 2008 21:47:35 +0200
On 2008-09-15 13:37 +0200, Petter Reinholdtsen wrote:

> [Subhashis Roy]
>> Following one of the suggestions in one bug report, I added 'fuser
>> -vm / >> /root/umount.root.err; sync' and found that 'portmap' is
>> still running causing the message that root partition is busy.
>
> This lead to the next question, which is why is portmap still running?
> I know portmap make sure it isn't killed by sendsigs, and thus take
> over the responsibility of existing before reboot.

If only that were true.  Do you remember our discussion in the thread
"Slow shutdown in dependency-based boot system" starting at [0]?  That
problem was tracked down to portmap _not_ writing a pidfile[1], and the
bug[2] I filed against portmap is still open.

However, this does not explain why portmap isn't stopped at all.

Cheers,
       Sven


0. http://lists.alioth.debian.org/pipermail/initscripts-ng-devel/2008-July/000548.html
1. http://lists.alioth.debian.org/pipermail/initscripts-ng-devel/2008-July/000553.html
2. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490985




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 490893@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Subhashis Roy <subhashis3@fastmail.fm>
Cc: 490893@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>
Subject: Re: Bug#490893: initscripts: reboot fails to unmount '/'
Date: Mon, 15 Sep 2008 22:17:31 +0200
On 2008-09-15 18:14 +0200, Subhashis Roy wrote:

> I find that '/etc/init.d/portmap' has permission to execute.
> However, I checked by writing a small line within
> /etc/init.d/portmap' Stop that it is not getting called.

Hm, several months ago I had the same problem[0], but that was fixed in
sysvinit 2.86ds1-58.  It would be a most unpleasant surprise if it had
come back.  Petter?

> I am also attaching the '/etc/init.d/portmap' (before my change) file
> as in my machine, in case you want to examine it (I can easily
> circumvent this problem by killing 'portmap' separately during
> reboot' in a script, but is not a good choice in general).

That script is the same as shipped in the portmap package.  It's
broken[1], but should at least run.

> /etc/rc0.d:
[114 lines snipped]

Quite an impressive list, mine is only 29 lines long.

Cheers,
       Sven

0. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=483172
1. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490985




Severity set to `grave' from `normal' Request was from Subhashis Roy <subhashis3@fastmail.fm> to control@bugs.debian.org. (Fri, 19 Sep 2008 06:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. (Fri, 26 Sep 2008 21:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Schuetter <joerg@schuetter.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 26 Sep 2008 21:12:04 GMT) Full text and rfc822 format available.

Message #42 received at 490893@bugs.debian.org (full text, mbox):

From: Joerg Schuetter <joerg@schuetter.org>
To: 490893@bugs.debian.org
Subject: Could the portmap issue be caused by the missing K??portmap symlink
Date: Fri, 26 Sep 2008 23:08:49 +0200
Could the portmap issue be caused by the missing K??portmap symlink
in rc1.d? By running "update-rc.d -f portmap remove" and then the command 
"update-rc.d portmap start 43 S . start 32 0 6 . stop 81 1 ."
from the postinst-file the required stop script is in rc1.d.
To prevent tampering to much with these links it could be split up in
for single steps. This makes sure the link in rc1.d will be created even
if the creation of the other links failed (since already existing with a
different strt number). In my "grown" system I already had a few links to
portmap, so it was not possible to add new ones.

best regards
  Joerg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. (Fri, 26 Sep 2008 21:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 26 Sep 2008 21:51:06 GMT) Full text and rfc822 format available.

Message #47 received at 490893@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Joerg Schuetter <joerg@schuetter.org>
Cc: 490893@bugs.debian.org
Subject: Re: Bug#490893: Could the portmap issue be caused by the missing K??portmap symlink
Date: Fri, 26 Sep 2008 23:50:05 +0200
On 2008-09-26 23:08 +0200, Joerg Schuetter wrote:

> Could the portmap issue be caused by the missing K??portmap symlink
> in rc1.d? By running "update-rc.d -f portmap remove" and then the command 
> "update-rc.d portmap start 43 S . start 32 0 6 . stop 81 1 ."
> from the postinst-file the required stop script is in rc1.d.

Note the bug report is about runlevel 0, not 1.  "Start" scripts in
runlevel 0 and 6 are special, they are called with a stop argument.

> To prevent tampering to much with these links it could be split up in
> for single steps. This makes sure the link in rc1.d will be created even
> if the creation of the other links failed (since already existing with a
> different strt number). In my "grown" system I already had a few links to
> portmap, so it was not possible to add new ones.

If in any runlevel a link already exists, update-rc.d will not create
new ones, true.  That ensures local modifications are preserved.  This
does not explain why portmap isn't stopped _despite_ the link in
runlevel 0 exists.

Sven




Message sent on to subhuman <discipline@gmx.net>:
Bug#490893. (Sat, 01 Nov 2008 20:12:02 GMT) Full text and rfc822 format available.

Message #50 received at 490893-submitter@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 490893-submitter@bugs.debian.org, Luigi Toscano <luigi.toscano@tiscali.it>
Subject: Related to portmap?
Date: Sat, 1 Nov 2008 16:10:30 -0400
Submitter and Luigi, is your problem caused by portmap?




Message sent on to subhuman <discipline@gmx.net>:
Bug#490893. (Sun, 02 Nov 2008 00:36:04 GMT) Full text and rfc822 format available.

Message #53 received at 490893-submitter@bugs.debian.org (full text, mbox):

From: Luigi Toscano <luigi.toscano@tiscali.it>
To: Filipus Klutiero <chealer@gmail.com>
Cc: 490893-submitter@bugs.debian.org
Subject: Re: Related to portmap?
Date: Sun, 02 Nov 2008 01:33:46 +0100
Filipus Klutiero ha scritto:
> Submitter and Luigi, is your problem caused by portmap?
> 

Yes, it is (I can only speak for myself, obviously).
I simply disabled portmap from automatic execution and my laptop cleanly 
unmounts the partitions during shutdown.

Strangely enough, portmap terminates correctly on other computers of 
mine (debian lenny). I was not able to find any relevant difference.

Regards,
-- 
Luigi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#490893; Package initscripts. (Mon, 03 Nov 2008 06:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Mon, 03 Nov 2008 06:12:02 GMT) Full text and rfc822 format available.

Message #58 received at 490893@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 490893@bugs.debian.org
Subject: Re: Bug#490893: initscripts: reboot fails to unmount '/'
Date: Mon, 3 Nov 2008 07:10:03 +0100
reassign 490893 portmap
thanks

This issue seem to be in portmap.  Reassigning there.

Happy hacking,
-- 
Petter Reinholdtsen




Bug reassigned from package `initscripts' to `portmap'. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Mon, 03 Nov 2008 06:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#490893; Package portmap. (Wed, 05 Nov 2008 11:21:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 05 Nov 2008 11:22:41 GMT) Full text and rfc822 format available.

Message #65 received at 490893@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 490893@bugs.debian.org
Subject: still reproducible?
Date: Wed, 5 Nov 2008 11:01:26 +0100
Is this still reproducible with the fix for #448470 which should make
portmap initscript more reliable?

Cheers,
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#490893; Package portmap. (Wed, 05 Nov 2008 17:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 05 Nov 2008 17:33:05 GMT) Full text and rfc822 format available.

Message #70 received at 490893@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 490893@bugs.debian.org, Subhashis Roy <subhashis3@fastmail.fm>
Subject: Re: Bug#490893: still reproducible?
Date: Wed, 05 Nov 2008 18:29:54 +0100
On 2008-11-05 11:01 +0100, Yves-Alexis Perez wrote:

> Is this still reproducible with the fix for #448470 which should make
> portmap initscript more reliable?

At least one user (CC'ed) reported that the initscript did not run at
all, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490893#25.

Subhashis, do you still see this?

Regards,
        Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#490893; Package portmap. (Wed, 12 Nov 2008 05:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Subhashis Roy" <subhashis3@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 12 Nov 2008 05:21:02 GMT) Full text and rfc822 format available.


Message #75 received at 490893@bugs.debian.org (full text, mbox):

From: "Subhashis Roy" <subhashis3@fastmail.fm>
To: "Sven Joachim" <svenjoac@gmx.de>
Cc: 490893@bugs.debian.org, "Yves-Alexis Perez" <corsac@debian.org>
Date: Wed, 12 Nov 2008 10:17:34 +0500
Hi all,

I have checked that despite update of 'portmap' initscript, the
Bug#490893 is still reproducible.

Subhashis

On 2008-11-05 11:01 +0100, Yves-Alexis Perez wrote:

> Is this still reproducible with the fix for #448470 which should make
> portmap initscript more reliable?

At least one user (CC'ed) reported that the initscript did not run at
all, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490893#25.

Subhashis, do you still see this?

Regards,
        Sven
-- 

-- 
http://www.fastmail.fm - Email service worth paying for. Try it for free





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#490893; Package portmap. (Thu, 20 Nov 2008 00:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 20 Nov 2008 00:51:03 GMT) Full text and rfc822 format available.

Message #80 received at 490893@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Subhashis Roy <subhashis3@fastmail.fm>, 490893@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, Yves-Alexis Perez <corsac@debian.org>
Subject: Re: Bug#490893: initscripts: reboot fails to unmount '/'
Date: Thu, 20 Nov 2008 11:48:55 +1100
[Message part 1 (text/plain, inline)]
On Wed, Nov 12, 2008 at 10:17:34AM +0500, Subhashis Roy wrote:
>I have checked that despite update of 'portmap' initscript, the
>Bug#490893 is still reproducible.

I couldn't reproduce this bug.

Please try version 6.0-8 to see if it fixes this bug.
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `grave' Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 21 Nov 2008 07:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#490893; Package portmap. (Sun, 30 Nov 2008 06:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 30 Nov 2008 06:51:02 GMT) Full text and rfc822 format available.

Message #87 received at 490893@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: subhuman <discipline@gmx.net>, Luigi Toscano <luigi.toscano@tiscali.it>, Subhashis Roy <subhashis3@fastmail.fm>, Sven Joachim <svenjoac@gmx.de>, Joerg Schuetter <joerg@schuetter.org>, Filipus Klutiero <chealer@gmail.com>, Yves-Alexis Perez <corsac@debian.org>
Cc: Petter Reinholdtsen <pere@hungry.com>, 490893@bugs.debian.org
Subject: Re: Bug#490893: initscripts: reboot fails to unmount '/'
Date: Sun, 30 Nov 2008 17:45:19 +1100
[Message part 1 (text/plain, inline)]
On Thu, Nov 20, 2008 at 11:48:55AM +1100, Anibal Monsalve Salazar wrote:
>On Wed, Nov 12, 2008 at 10:17:34AM +0500, Subhashis Roy wrote:
>>I have checked that despite update of 'portmap' initscript, the
>>Bug#490893 is still reproducible.
>
>I couldn't reproduce this bug.
>
>Please try version 6.0-8 to see if it fixes this bug.

Hello,

Please try version 6.0-9 to see if it fixes this bug.

Thank you,

Aníbal
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#490893; Package portmap. (Mon, 01 Dec 2008 19:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Subhashis Roy" <subhashis3@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 01 Dec 2008 19:12:02 GMT) Full text and rfc822 format available.

Message #92 received at 490893@bugs.debian.org (full text, mbox):

From: "Subhashis Roy" <subhashis3@fastmail.fm>
To: "Anibal Monsalve Salazar" <anibal@debian.org>
Cc: 490893@bugs.debian.org, "Yves-Alexis Perez" <corsac@debian.org>, "Sven Joachim" <svenjoac@gmx.de>
Subject: Re: Bug#490893: initscripts: reboot fails to unmount '/'
Date: Tue, 02 Dec 2008 00:06:47 +0500
Hi,

The bug is still reproducible in my machine.

I tried both the version 6.0-8 and 6.0-9.
However, I have noticed that for the first time after 
installing a new version of Portmap, the Root partiton gets unmounted
during Reboot. However, on subsequent Reboot it shows '/' busy.

Subhashis

On Sun, 30 Nov 2008, Anibal Monsalve Salazar wrote:

> On Thu, Nov 20, 2008 at 11:48:55AM +1100, Anibal Monsalve Salazar wrote:
>> On Wed, Nov 12, 2008 at 10:17:34AM +0500, Subhashis Roy wrote:
>>> I have checked that despite update of 'portmap' initscript, the
>>> Bug#490893 is still reproducible.
>>
>> I couldn't reproduce this bug.
>>
>> Please try version 6.0-8 to see if it fixes this bug.
>
> Hello,
>
> Please try version 6.0-9 to see if it fixes this bug.
>
> Thank you,
>
> Anibal  
>
-- 

-- 
http://www.fastmail.fm - A no graphics, no pop-ups email service





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#490893; Package portmap. (Wed, 03 Dec 2008 12:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luigi Toscano <luigi.toscano@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 03 Dec 2008 12:36:05 GMT) Full text and rfc822 format available.

Message #97 received at 490893@bugs.debian.org (full text, mbox):

From: Luigi Toscano <luigi.toscano@tiscali.it>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: subhuman <discipline@gmx.net>, Subhashis Roy <subhashis3@fastmail.fm>, Sven Joachim <svenjoac@gmx.de>, Joerg Schuetter <joerg@schuetter.org>, Filipus Klutiero <chealer@gmail.com>, Yves-Alexis Perez <corsac@debian.org>, Petter Reinholdtsen <pere@hungry.com>, 490893@bugs.debian.org
Subject: Re: Bug#490893: initscripts: reboot fails to unmount '/'
Date: Wed, 03 Dec 2008 13:33:02 +0100
Aníbal Monsalve Salazar ha scritto:
> On Thu, Nov 20, 2008 at 11:48:55AM +1100, Anibal Monsalve Salazar wrote:

> Please try version 6.0-9 to see if it fixes this bug.
>
It works for me, but:
- I purged and reinstalled the package, to clean the initscript symbolic 
links
- is it normal to find only one Kxxportmap link, in the /etc/rc1.d 
directory?

Regards
-- 
Luigi




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#490893; Package portmap. (Thu, 04 Dec 2008 04:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Subhashis Roy" <subhashis3@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 04 Dec 2008 04:57:02 GMT) Full text and rfc822 format available.

Message #102 received at 490893@bugs.debian.org (full text, mbox):

From: "Subhashis Roy" <subhashis3@fastmail.fm>
To: "Anibal Monsalve Salazar" <anibal@debian.org>
Cc: "subhuman" <discipline@gmx.net>, "Sven Joachim" <svenjoac@gmx.de>, "Joerg Schuetter" <joerg@schuetter.org>, "Filipus Klutiero" <chealer@gmail.com>, "Yves-Alexis Perez" <corsac@debian.org>, "Petter Reinholdtsen" <pere@hungry.com>, 490893@bugs.debian.org
Subject: Re: Bug#490893: initscripts: reboot fails to unmount '/'
Date: Thu, 04 Dec 2008 09:54:58 +0500
Hi,

Now I did the same thing of first purging portmap, and then
re-installing.
This has now fixed the problem. '/' does get unmounted during 'reboot'.
I guess if this works for others, the bug is fixed with the present
version of portmap.

Thanks.

Subhashis

On Wed, 3 Dec 2008, Luigi Toscano wrote:

> Anibal Monsalve Salazar ha scritto:
>> On Thu, Nov 20, 2008 at 11:48:55AM +1100, Anibal Monsalve Salazar wrote:
>
>> Please try version 6.0-9 to see if it fixes this bug.
>>
> It works for me, but:
> - I purged and reinstalled the package, to clean the initscript symbolic
> links
-- 

-- 
http://www.fastmail.fm - Send your email first class





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#490893; Package portmap. (Sun, 01 Feb 2009 10:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to limuhob <limuhob@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 01 Feb 2009 10:15:05 GMT) Full text and rfc822 format available.

Message #107 received at 490893@bugs.debian.org (full text, mbox):

From: limuhob <limuhob@gmail.com>
To: 490893@bugs.debian.org
Subject: Bug#490893: initscripts: reboot fails to unmount '/'
Date: Sun, 01 Feb 2009 11:05:47 +0100
Hi,

Reinstalling the portmap 6.0-9 does not work for me. I solved this issue 
by rename link K32portmap in /etc/rc[0,6].d to K32portmap.sh . Now, 
switch to runlevel 0 or 6 invoke /etc/init.d/portmap stop and / is 
umounted without problem.




Bug marked as fixed in version 6.0-9, send any further explanations to subhuman <discipline@gmx.net> Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 12 Mar 2011 11:45:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Apr 2011 07:45:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:33:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.